GNU bug report logs - #46500
[PATCH] gnu: Add monado

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Andy Tai <atai@HIDDEN>; Keywords: patch; Done: Leo Famulari <leo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 46500-done <at> debbugs.gnu.org:


Received: (at 46500-done) by debbugs.gnu.org; 24 Feb 2021 16:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 11:43:17 2021
Received: from localhost ([127.0.0.1]:35712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lExFs-0002ui-Sa
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 11:43:17 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:41441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lExFe-0002tV-C0
 for 46500-done <at> debbugs.gnu.org; Wed, 24 Feb 2021 11:43:16 -0500
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 0424C5C018B;
 Wed, 24 Feb 2021 11:42:57 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Wed, 24 Feb 2021 11:42:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=fClQGbaR5gl2/pN64XgxpxzP
 +0h1oxm2xMbgFZZhVuQ=; b=VyJeNVOudJKE0DhbW71wgPuZPc9C20PaZ96Ak4kZ
 fLeJG171YcjkCcbMjM/Cg4EkpcU6NsHtMOatGtkyY/i+8qnQUYxD5HMB+mX/aOqO
 WZaXqMlQH28KakFNo8of1a8Zugx0FA/uqOSQV9K4tsSGTX479gQAon1Mn0VkFQGG
 IPM=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=fClQGb
 aR5gl2/pN64XgxpxzP+0h1oxm2xMbgFZZhVuQ=; b=DFuk9TlXZbqYoy7jV//GR6
 r/mfQ33jR1ofhiy+oHDobPr17eyPGCCF1e0vbiJoZz5T3fQXh5n5+5+KNQqqXKxA
 4fO4aqz/9h2AWhfGtPt0ac3txpMeUiok3IvyGvBcsTYg1weznA2cqwKxqVwGRodw
 VBQiWwysOTU1xo8IVuPzTeLC3zcf8h6dWtZlR/ZUZ4aHqd0F1+RQKpOatjyF+IzL
 ducJFgg0f8oUKDSNY+nFtXhjO7MmH+k37ANYQR+K9HT1KIAebjuOHrMG0eshsXUX
 OpBUdF4sOA/IZEtWGMQWoD+Rgd+jWPnsiU/5AoWIbZlhaWjPUIUkcmLMiCU59hng
 ==
X-ME-Sender: <xms:EII2YA7DC3Qw-AoAJDdYjLg9w7v27Vy2XfMyMH53B_vOm76uZBhnlA>
 <xme:EII2YPuuSMjOZX218NQZWUyyHYpTueWVytiY_I0_CX4W_gHmkiL-CK1bonPxW8HxJ
 giVoJRVo_yI1xGj4Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrkeejgdeltdcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcuhfgr
 mhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrthhtvg
 hrnhepkedtkeehhedvvdfgtdeuveetleekleelffelveefveetffeujeeukeejtdevvdeg
 necuffhomhgrihhnpehfrhgvvgguvghskhhtohhprdhorhhgnecukfhppedutddtrdduud
 drudeiledruddukeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhl
 fhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:EII2YJ44zTqPJUvBDBboFgKYV098SK0AQM8PL916JoU-LsclONT0JA>
 <xmx:EII2YCVdfe6PxuOjhZL2WNQXHreHb8-1g3fzLKt2nh-EI7wUL510-g>
 <xmx:EII2YD_6FqnyemLVeUbmjihYPtI5bPJ-you4-MRaCLjB2Vk5FCzGfg>
 <xmx:EYI2YMJzWYFWfSPYt8PCFuO6uXIZn_xG_ogZ0Gcq3pXeFt70F09RUQ>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 183F71080054;
 Wed, 24 Feb 2021 11:42:56 -0500 (EST)
Date: Wed, 24 Feb 2021 11:42:54 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <atai@HIDDEN>
Subject: Re: [bug#46500] [PATCH] gnu: Add monado
Message-ID: <YDaCDr+Dwj4hAiFh@HIDDEN>
References: <CAJsg1E_Sjf4rfP-Sc_pw+SNau1WC2jhnfdqgOrygrADg-_8JbQ@HIDDEN>
 <YDGgrfpqzUmiWZ+H@HIDDEN>
 <CAJsg1E-ETsSm88Bb2b8xYdOVa8Q+4CmccyXg0b35mm=j92DrsQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAJsg1E-ETsSm88Bb2b8xYdOVa8Q+4CmccyXg0b35mm=j92DrsQ@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46500-done
Cc: 46500-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 20, 2021 at 09:47:18PM -0800, Andy Tai wrote:
> review comments addressed;
> lint passed cleanly (except the one for Software Heritage)
> 
> install fixed and no error now

> From 99878cebc1e046369100cdae54d69dde3ade7448 Mon Sep 17 00:00:00 2001
> From: Andy Tai <atai@HIDDEN>
> Date: Sat, 20 Feb 2021 21:42:24 -0800
> Subject: [PATCH] gnu: Add monado
> 
> * gnu/packages/graphics.scm (monado): New variable

Thanks! I made the cosmetic changes shown below and pushed as
2fdc8ca7fdf6617835c48276585df6d5ace7c46e

diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index 0b1c33401e..a76417a508 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -1918,30 +1918,29 @@ Some feature highlights:
 @end itemize\n")
       (license license:gpl3+))))
 
-
 (define-public monado
   (package
     (name "monado")
     (version "21.0.0")
-        (source (origin
-              (method url-fetch)
-              (uri (string-append "https://gitlab.freedesktop.org/" name "/"
-                                  name "/-/archive/v" version "/"
-                                  name "-v" version ".tar.bz2"))
-              (sha256
-               (base32
-                "0n04k7a8b0i8ga0kbzh7qxmvni1ijawgk98s83519vxg4d0yyjbq"))))
+    (source (origin
+          (method url-fetch)
+          (uri (string-append "https://gitlab.freedesktop.org/" name "/"
+                              name "/-/archive/v" version "/"
+                              name "-v" version ".tar.bz2"))
+          (sha256
+           (base32
+            "0n04k7a8b0i8ga0kbzh7qxmvni1ijawgk98s83519vxg4d0yyjbq"))))
     (build-system meson-build-system)
     (inputs
-      `(("ffmpeg" ,ffmpeg)
-        ("glslang" ,glslang)
-        ("libudev" ,eudev)
-        ("libusb" ,libusb)
-        ("libxcb" ,libxcb)
-        ("libxrandr" ,libxrandr)
-        ("opengl" ,mesa)
-        ("v4l" ,v4l-utils)
-        ("vulkan-loader" ,vulkan-loader)))
+     `(("ffmpeg" ,ffmpeg)
+       ("glslang" ,glslang)
+       ("libudev" ,eudev)
+       ("libusb" ,libusb)
+       ("libxcb" ,libxcb)
+       ("libxrandr" ,libxrandr)
+       ("opengl" ,mesa)
+       ("v4l" ,v4l-utils)
+       ("vulkan-loader" ,vulkan-loader)))
     (native-inputs
      `(("eigen" ,eigen)
        ("pkg-config" ,pkg-config)
@@ -1955,4 +1954,3 @@ Some feature highlights:
 such as VR and AR on mobile, PC/desktop, and any other device.  Monado aims to be
 a complete and conforming implementation of the OpenXR API made by Khronos.")
     (license license:boost1.0)))
-




Notification sent to Andy Tai <atai@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Leo Famulari <leo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 46500 <at> debbugs.gnu.org:


Received: (at 46500) by debbugs.gnu.org; 21 Feb 2021 05:48:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 00:48:03 2021
Received: from localhost ([127.0.0.1]:53366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDhb8-0001qO-Sm
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 00:48:03 -0500
Received: from mail-io1-f49.google.com ([209.85.166.49]:38112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lDhb6-0001ps-A7
 for 46500 <at> debbugs.gnu.org; Sun, 21 Feb 2021 00:48:01 -0500
Received: by mail-io1-f49.google.com with SMTP id k17so2150958ioc.5
 for <46500 <at> debbugs.gnu.org>; Sat, 20 Feb 2021 21:48:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=aH8Fwggu1Fh1+jY9HQa1p4ZIlsUCOxVNUm3+y6R3ZxU=;
 b=wP+N+bRzWQvR2A/PsN1fqxOkjXujQNICegqd4UYtNwmxFXTGYO39S4hthkRctRX6pK
 en2/SrlYAgkqMcScDoFHgYnK6mzSxq58kyhpQr2cB+a935nlHsMk6dxWDxr84gscw+ML
 yhFwvjIJTqJwvIG8qwqOoXevv3Kt7jSVUWS1p1oEO/plgWrAIGVqnxj4QmRhHlN1WYdr
 VPxd1otaYPobeQgi9gOxr9d2EMkOdzHOYxTZW8gc4ZkJGs1A6me8LZ9OSdR8XvjadW0a
 aeW/gUMHOSrs4zFNFl90QRzPUa3w7O7v9mb4QY/i1fLZOjMz22Ky4LMZn3/YudIIfzV5
 x3rw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=aH8Fwggu1Fh1+jY9HQa1p4ZIlsUCOxVNUm3+y6R3ZxU=;
 b=hNMDEn6jDRZcPxrSERTXTU63om+0YLLgxC+tSzRnctO4MV3qt3pGo4iiXh18Von+UH
 3wldeazhaS2L6Xb7F2C2aGM7nWYn5YIJ+X+qOw6QEzQnstrdKkiMxwPsKt/aXmjspfdP
 Rdz9dFEllJx66KICKQrWcKdzzYpar8L2CcBVMdcgM1c6QtiyR6kBlPhSTC8bayDX3gRR
 XKVchjhv9VjkBG2X4qxSyLsYCyzCspv8KiNTJkKwINkuGCeRJnIGVmE2ZsVMCtwQMosg
 yOL7xiGDNCQ8gTZvMX6uFOfX6eRcXkVgcJrXZq7G2H0YkILzd0ppICrbp15haCCzE2mr
 lfyA==
X-Gm-Message-State: AOAM532F90sWMo1f+oSDhGEEh2y/3JBg/WHZVx8hvb90hISUkMYz6iTO
 9jKTnWBP8wZo+KfSuOZA4XjNVPuei4MnSBbrM4k=
X-Google-Smtp-Source: ABdhPJytC6Tvkee8/dY9x28qhAhvkcnQ2qtgwWw6cmRJJ1EFhibDvx0Kqz4PJqqBPViGLT3gG8byfH9A/SoRwEG5CXc=
X-Received: by 2002:a02:714f:: with SMTP id n15mr15194636jaf.6.1613886474425; 
 Sat, 20 Feb 2021 21:47:54 -0800 (PST)
MIME-Version: 1.0
References: <CAJsg1E_Sjf4rfP-Sc_pw+SNau1WC2jhnfdqgOrygrADg-_8JbQ@HIDDEN>
 <YDGgrfpqzUmiWZ+H@HIDDEN>
In-Reply-To: <YDGgrfpqzUmiWZ+H@HIDDEN>
From: Andy Tai <atai@HIDDEN>
Date: Sat, 20 Feb 2021 21:47:18 -0800
Message-ID: <CAJsg1E-ETsSm88Bb2b8xYdOVa8Q+4CmccyXg0b35mm=j92DrsQ@HIDDEN>
Subject: Re: [bug#46500] [PATCH] gnu: Add monado
To: Leo Famulari <leo@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000004eddc05bbd23aed"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 46500
Cc: 46500 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--00000000000004eddc05bbd23aed
Content-Type: text/plain; charset="UTF-8"

review comments addressed;
lint passed cleanly (except the one for Software Heritage)

install fixed and no error now

--00000000000004eddc05bbd23aed
Content-Type: text/x-patch; charset="UTF-8"; name="0001-gnu-Add-monado.patch"
Content-Disposition: attachment; filename="0001-gnu-Add-monado.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kleq8ctn0>
X-Attachment-Id: f_kleq8ctn0
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--00000000000004eddc05bbd23aed--




Information forwarded to guix-patches@HIDDEN:
bug#46500; Package guix-patches. Full text available.

Message received at 46500 <at> debbugs.gnu.org:


Received: (at 46500) by debbugs.gnu.org; 20 Feb 2021 23:52:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 18:52:28 2021
Received: from localhost ([127.0.0.1]:53106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDc2y-0001gD-K1
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 18:52:28 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:50875)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lDc2w-0001g0-02
 for 46500 <at> debbugs.gnu.org; Sat, 20 Feb 2021 18:52:23 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 11D744E7;
 Sat, 20 Feb 2021 18:52:16 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Sat, 20 Feb 2021 18:52:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=Ben+ScIKEaGvdfXzcCwCjqjYZd/F+ME3KGjSUoTvuQQ=; b=t7UpUQP00u7/
 gUfajjNlEzjFIF4+n1fKmOKzhCa2CCB3oDyV0P6SqzW7T0jzgeb6X0kXPgZsnNbp
 +DP6Mrkfw6gftd9CsdKDtbK2DTLjgVICvEuQev6mSpohX6zt21kaH2ebanXqL5ur
 t/ydJvsR/cx2gpxgRcein0CnCQB2EHI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm2; bh=Ben+ScIKEaGvdfXzcCwCjqjYZd/F+ME3KGjSUoTvu
 QQ=; b=QLOYDiez04NN/gayD+giTslG6EqaXm2taTaTDyu/7O5cgaTQBzrnkE4a+
 d0K5XInSlHnLyXZ3kLAs9h07XFoRBvvG67RkDhluu8dtDVhRuzER9Vmz+IlgR7Zm
 ys/jYzSZq2TcmB2nUyatqVWNOFneINnButpzZteJV62pC7uyV78Zno+TPIZ7pR/G
 P1+jh3i+soaj5y8klqTQoXC1+OSEHhTSZlxC1hPg/LhmHfLwsNc+3699R8arfS7S
 4NiBmvEK09bBO1UZQZ1OudC9M06EsEgZGiTe/0buQQsbcCQhe09NsW4lGXXARrVf
 4QU0fK7w2hWUV2Dd+5TFC5kB/2QYA==
X-ME-Sender: <xms:r6AxYIPuFJpALnyLJGO6mCkpOgzXUp9r0uWkKyS3G6IT-HnlF1gdbA>
 <xme:r6AxYO9b7SuO_XBnYyUpjt52P3xr8dFe7gHO2Q1qgDfqPRLjMSoIL_eY8kgUx9WMX
 nvidW1BZ7Rf05lmyA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrjeelgddufecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffhffvuffkfhggtggugfgjsehtkeertddttdejnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeeiieegtdeggfevfeethffhvdeifefhhfekueelvedvueejgeelgeeivedvheeu
 ueenucffohhmrghinhepghhnuhdrohhrghdpfhhrvggvuggvshhkthhophdrohhrghenuc
 fkphepieelrdduvddtrdelvddrvddtkeenucevlhhushhtvghrufhiiigvpedtnecurfgr
 rhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:r6AxYPQ2Xe6O6chM12q8fFgwAGL_tgoKOjgJlXWOh3YgcL4LBjoFcw>
 <xmx:r6AxYAsK48LWqHCQxUTmbD7YmBapEdbehOzi7ksZwAyAQr79qjEOIg>
 <xmx:r6AxYAftGP7a6e8PT83yxs-xRl8f0T75-PyblMQQyG8v1cCA896CDQ>
 <xmx:r6AxYKp9AUBNJaQiUDoARE1S8KgEc64PgbI2vM4LdDI8CHfm6QUQwQ>
Received: from localhost (ool-45785cd0.dyn.optonline.net [69.120.92.208])
 by mail.messagingengine.com (Postfix) with ESMTPA id 19A81108005B;
 Sat, 20 Feb 2021 18:52:15 -0500 (EST)
Date: Sat, 20 Feb 2021 18:52:13 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <atai@HIDDEN>
Subject: Re: [bug#46500] [PATCH] gnu: Add monado
Message-ID: <YDGgrfpqzUmiWZ+H@HIDDEN>
References: <CAJsg1E_Sjf4rfP-Sc_pw+SNau1WC2jhnfdqgOrygrADg-_8JbQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <CAJsg1E_Sjf4rfP-Sc_pw+SNau1WC2jhnfdqgOrygrADg-_8JbQ@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46500
Cc: 46500 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 13, 2021 at 06:12:01PM -0800, Andy Tai wrote:
> * gnu/packages/graphics.scm (monado): New variable

Thanks for the patch!

You had asked in #46666 about how to make the review process go more
quickly. We definitely aim for it to be fast and efficient for
contributors, but there are a lot of patches (good!) and reviewers can
get tired. When that happens to me, I start to focus my reviewing energy
on patches that I think will be easy, which means ready-to-push, or on
patches for things I find interesting. I think that's human nature. It
would be better if patches were reviewed more systematically.

My goal when reviewing is to push contributions to guix.git and close
patch tickets.

The linter found a couple issues:

------
$ guix environment guix -- ./pre-inst-env guix lint monado
gnu/packages/graphics.scm:1953:5: monado@HIDDEN: sentences in description should be followed by two spaces; possible infractions at 191, 285
gnu/packages/graphics.scm:1943:0: monado@HIDDEN: parentheses feel lonely, move to the previous or next line
gnu/packages/graphics.scm:1948:0: monado@HIDDEN: parentheses feel lonely, move to the previous or next line
gnu/packages/graphics.scm:1924:16: monado@HIDDEN: source not archived on Software Heritage
------

I noticed the parentheses thing before linting, and some extra blank
lines before and after the new package, too. These problems are
effectively cosmetic but, when I see them, I guess that there might be
some other problems that can't be caught with a simple linter, and I get
discouraged from putting more effort into it. So, definitely run the
linter. Don't hesitate to ask for help if you don't understand how to
use it or what it says.

I applied the patch on the current master branch and built it. It fails
in the install phase like this:

------
starting phase `install'
[1/14] Generating u_git_tag.c with a custom command.
[2/6] Generating driver_resources_copy with a custom command.
DIRECTORY ../monado-v21.0.0/src/xrt/targets/steamvr_drv/resources /tmp/guix-build-monado-21.0.0.drv-0/build/steamvr-monado/resources
Copying asset ../monado-v21.0.0/src/xrt/targets/steamvr_drv/resources to /tmp/guix-build-monado-21.0.0.drv-0/build/steamvr-monado/resources
[3/6] Generating driver_manifest_copy with a custom command.
FILE ../monado-v21.0.0/src/xrt/targets/steamvr_drv/driver.vrdrivermanifest /tmp/guix-build-monado-21.0.0.drv-0/build/steamvr-monado/driver.vrdrivermanifest
Copying asset ../monado-v21.0.0/src/xrt/targets/steamvr_drv/driver.vrdrivermanifest to /tmp/guix-build-monado-21.0.0.drv-0/build/steamvr-monado/driver.vrdrivermanifest
[4/6] Generating driver_input_profiles_generate with a custom command.
[5/6] Generating plugin_copy with a custom command.
Copying plugin src/xrt/targets/steamvr_drv/driver_monado.so to /tmp/guix-build-monado-21.0.0.drv-0/build/steamvr-monado/bin/linux64/driver_monado.so
[5/6] Installing files.
+ sysconfdir=/etc
+ manifest=/gnu/store/9598lvcgad60xfid8qxpm0w4p8g9ldr6-monado-21.0.0/share/openxr/1/openxr_monado.json
+ xrversion=1
+ runtime_path=/etc/xdg/openxr/1/active_runtime.json
+ mkdir -p /etc/xdg/openxr/1
mkdir: cannot create directory ‘/etc/xdg’: Permission denied
[...]
------

Can you look into that?

> +    (synopsis "The open source OpenXR runtime")
> +    (description
> +     "Monado is an open source XR runtime delivering immersive
> experiences such as VR
> +and AR on mobile, PC/desktop, and any other device(because gosh darn peoplecome
> +up with a lot of weird hardware). Monado aims to be a complete and conforming
> +implementation of the OpenXR API made by Khronos. The project
> currently is being
> +developed for GNU/Linux and aims to support other operating systems in the near
> +future.")

Guix only includes free software so we usually don't describe packages
as "open source" or "free software". I appreciate the colloquial
language in the parentheses but I would remove it.

We actually have a style guide in the manual:

https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

> +    (license (license:x11-style
> "https://gitlab.freedesktop.org/monado/monado/-/blob/master/LICENSE"))))

This looks like the "Boost Software License".




Information forwarded to guix-patches@HIDDEN:
bug#46500; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Feb 2021 02:12:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 13 21:12:44 2021
Received: from localhost ([127.0.0.1]:35290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lB6tv-0004Cu-Mu
	for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 21:12:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:47018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lB6tt-0004Cn-P3
 for submit <at> debbugs.gnu.org; Sat, 13 Feb 2021 21:12:42 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52288)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1lB6tt-0002ry-EW
 for guix-patches@HIDDEN; Sat, 13 Feb 2021 21:12:41 -0500
Received: from mail-io1-xd32.google.com ([2607:f8b0:4864:20::d32]:36089)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1lB6tr-00011o-Db
 for guix-patches@HIDDEN; Sat, 13 Feb 2021 21:12:41 -0500
Received: by mail-io1-xd32.google.com with SMTP id n14so3331241iog.3
 for <guix-patches@HIDDEN>; Sat, 13 Feb 2021 18:12:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=atai-org.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=mQcsKDXkYoSgNYf5OIdAhd884tQrC4AJjmxX2+aRzvM=;
 b=JuKSQWFn6Uklq7Gfnlk5tKiFXmI4strKJko2ngr6QdP/duVsjQGeZoeevt7Lay/e1N
 tIEyImcNC/2T0EHijydXbBO8IkYZ7/zmEZqC42al6IVhYUsJkJ8le28vUPnpw0XHOlkS
 vyxKiyufA20DaNqoxaPmONw1hwC44umMhYjL9+BCtB769U1zpZtlCsEuTPB1Zbm21Z6X
 zZQrtA54ByB6OV4/ra3Q64C9bjapUqhldgdy5LTkPlg9ENdD7Ilt+jRMieYplfUiIv8Y
 NUEfI4ZSXjl2DhkfMyQUJtkH8iLKiTw+yCmb9L48fPZeD3MTGSuXYvNhtzpIXoNnfQat
 OfHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=mQcsKDXkYoSgNYf5OIdAhd884tQrC4AJjmxX2+aRzvM=;
 b=oIzicCYwjOO++DwftIf43soO5IRjgofL6d0cmyYSncxn0UAeec1J9DJ+8bDZz8Jeym
 D4I5EZbQenXG109S/SbguxBR1G1PvwAsGt6Nhl+Uf9Q62q5n7gSdl3T7YL3vheUdgRyz
 JiFzgULy+s7EqCPU91S+1/2qbJ4/1iyJuHRj8xfkNskHnWTIlA8njaoo6qa7C0TpbD7o
 cF+H7vF/wH2LsU0Y51k++ODJ/pzl6MDXG/1TZ/GRKcsrVe/qxyDc9hOkKIW+8YoecXAx
 he4m1co3tA1OssTVFd4DQPTs96DSZB3Px/WFxdLLKSra0neAV2kC9o0IkDl9Ow4y3QZR
 1Abw==
X-Gm-Message-State: AOAM530Cp0xk3221xj4gAY9tGTu0v6qKZyKYncFJd5i+NsCyyYG6Lukm
 4vbzpgLoAdOH39IntYnSsGhPIQukWcgYUuLhiNquDU5bQTTfog==
X-Google-Smtp-Source: ABdhPJy9BFw3RXNdQorfcjoo3m/PxDg20cOucBc7mIOuPPyw4wk7kXyM9mdgwRc66hudmIXGJWfiSrr1Vr+Ugm56lu0=
X-Received: by 2002:a02:242d:: with SMTP id f45mr5264621jaa.7.1613268756967;
 Sat, 13 Feb 2021 18:12:36 -0800 (PST)
MIME-Version: 1.0
From: Andy Tai <atai@HIDDEN>
Date: Sat, 13 Feb 2021 18:12:01 -0800
Message-ID: <CAJsg1E_Sjf4rfP-Sc_pw+SNau1WC2jhnfdqgOrygrADg-_8JbQ@HIDDEN>
Subject: [PATCH] gnu: Add monado
To: guix-patches@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::d32;
 envelope-from=lichengtai@HIDDEN; helo=mail-io1-xd32.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

* gnu/packages/graphics.scm (monado): New variable
---
 gnu/packages/graphics.scm | 46 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/graphics.scm b/gnu/packages/graphics.scm
index 7cb4aecec2..5b8621c390 100644
--- a/gnu/packages/graphics.scm
+++ b/gnu/packages/graphics.scm
@@ -24,6 +24,7 @@
 ;;; Copyright =C2=A9 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2020 Gabriel Arazas <foo.dogsquared@HIDDEN>
 ;;; Copyright =C2=A9 2021 Antoine C=C3=B4t=C3=A9 <antoine.cote@HIDDEN>
+;;; Copyright =C2=A9 2021 Andy Tai <atai@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -74,6 +75,7 @@
   #:use-module (gnu packages imagemagick)
   #:use-module (gnu packages jemalloc)
   #:use-module (gnu packages kde-frameworks)
+  #:use-module (gnu packages libusb)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages maths)
@@ -97,6 +99,7 @@
   #:use-module (gnu packages tbb)
   #:use-module (gnu packages upnp)
   #:use-module (gnu packages video)
+  #:use-module (gnu packages vulkan)
   #:use-module (gnu packages xiph)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
@@ -1914,3 +1917,46 @@ Some feature highlights:
 @item Automatic port forwarding with UPnP
 @end itemize\n")
       (license license:gpl3+))))
+
+
+(define-public monado
+  (package
+    (name "monado")
+    (version "21.0.0")
+        (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.freedesktop.org/" name "=
/"
+                                  name "/-/archive/v" version "/"
+                                  name "-v" version ".tar.bz2"))
+              (sha256
+               (base32
+                "0n04k7a8b0i8ga0kbzh7qxmvni1ijawgk98s83519vxg4d0yyjbq"))))
+    (build-system meson-build-system)
+    (inputs
+      `(("ffmpeg" ,ffmpeg)
+        ("glslang" ,glslang)
+        ("libudev" ,eudev)
+        ("libusb" ,libusb)
+        ("libxcb" ,libxcb)
+        ("libxrandr" ,libxrandr)
+        ("opengl" ,mesa)
+        ("v4l" ,v4l-utils)
+        ("vulkan-loader" ,vulkan-loader)
+        ))
+    (native-inputs
+     `(("eigen" ,eigen)
+       ("pkg-config" ,pkg-config)
+       ("vulkan-headers" ,vulkan-headers)
+        ))
+
+    (home-page "https://monado.freedesktop.org/")
+    (synopsis "The open source OpenXR runtime")
+    (description
+     "Monado is an open source XR runtime delivering immersive
experiences such as VR
+and AR on mobile, PC/desktop, and any other device(because gosh darn peopl=
ecome
+up with a lot of weird hardware). Monado aims to be a complete and conform=
ing
+implementation of the OpenXR API made by Khronos. The project
currently is being
+developed for GNU/Linux and aims to support other operating systems in the=
 near
+future.")
+    (license (license:x11-style
"https://gitlab.freedesktop.org/monado/monado/-/blob/master/LICENSE"))))
+
--=20
2.30.0




Acknowledgement sent to Andy Tai <atai@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#46500; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Feb 2021 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.